        include "ho3_pes_3rd.f"
        
        program main
        implicit none
        integer :: j
        double precision :: x(3,4),xm(3,4)
        double precision :: r1,r2,r3,th1,th2,phi
        double precision :: v,va,vb,vc,vmin,vam,vbm,vcm
        double precision, parameter :: pi=dacos(-1.d0)
        
        open(61,file='ho3.xyz',status='replace')
        open(62,file='ho3.dat',status='replace')
        
        call pes_init
        
        r1=0.9719d0 
        r2=1.6764d0 
        r3=1.2301d0
        th1=95.67d0
        th2=111.52d0
        phi=85.50d0
        
           x(1,1)=r1*dcos(th1/180.d0*pi)
           x(2,1)=r1*dsin(th1/180.d0*pi)
           x(3,1)=0.d0
           x(1,2)=0.d0
           x(2,2)=0.d0
           x(3,2)=0.d0
           x(1,3)=r2
           x(2,3)=0.d0
           x(3,3)=0.d0
           x(1,4)=r2+r3*dcos((180.d0-th2)/180.d0*pi)
           x(2,4)=r3*dsin((180.d0-th2)/180.d0*pi)*dcos(phi/180.d0*pi)
           x(3,4)=r3*dsin((180.d0-th2)/180.d0*pi)*dsin(phi/180.d0*pi)
        
           call ho3_pes_interface(x,v,va,vb,vc)
        
        write(61,'(1H4)')
        write(61,'(4f15.8)')v*23.0605d0,va*23.0605d0,
     $vb*23.0605d0,vc*23.0605d0
        write(61,'(4HH   ,3f12.7)')x(1,1),x(2,1),x(3,1)
        do j=2,4
           write(61,'(4HO   ,3f12.7)')x(1,j),x(2,j),x(3,j)
        enddo
        write(62,'(6f10.3,f15.8)')r1,r2,r3,th1,th2,phi,v*23.0605d0
        end program main
